# Crow: crow::CatchallRule Class Reference

crow::CatchallRule Class Reference

## Public Member Functions

template<typename Func >
std::enable_if< black_magic::CallHelper< Func, black_magic::S<> >::value, void >::type | operator() (Func &&f)
template<typename Func >
std::enable_if<!black_magic::CallHelper< Func, black_magic::S<> >::value &&black_magic::CallHelper< Func, black_magic::S< crow::request > >::value, void >::type | operator() (Func &&f)
template<typename Func >
std::enable_if<!black_magic::CallHelper< Func, black_magic::S<> >::value &&!black_magic::CallHelper< Func, black_magic::S< crow::request > >::value &&black_magic::CallHelper< Func, black_magic::S< crow::response & > >::value, void >::type | operator() (Func &&f)
template<typename Func >
std::enable_if<!black_magic::CallHelper< Func, black_magic::S<> >::value &&!black_magic::CallHelper< Func, black_magic::S< crow::request > >::value &&!black_magic::CallHelper< Func, black_magic::S< crow::response & > >::value, void >::type | operator() (Func &&f)
bool | has_handler ()

## Friends

class | Router

The documentation for this class was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/routing.h